#include "withGui.h"

namespace game
{

std::list<withGui*> withGui::guiList;

uint32_t withGui::windowCount;
void *withGui::currentlyShown;

withGui::withGui()
{
    guiList.push_back(this);
}

withGui::~withGui()
{
    guiList.remove(this);
}

void withGui::showGui() noexcept
{
    for(withGui *i: guiList)
        i->onGui();
}


}
